## org.exist.soap
Interface QueryService

All Superinterfaces:
  javax.xml.rpc.Service

All Known Implementing Classes:
  QueryServiceLocator

public interface QueryService
extends javax.xml.rpc.Service

Method Summary
`Query` `getQuery()`
`Query` `getQuery(java.net.URL portAddress)`
`java.lang.String` `getQueryAddress()`

Methods inherited from interface javax.xml.rpc.Service
`createCall, createCall, createCall, createCall, getCalls, getHandlerRegistry, getPort, getPort, getPorts, getServiceName, getTypeMappingRegistry, getWSDLDocumentLocation`

Method Detail

### getQueryAddress

    public java.lang.String getQueryAddress()

### getQuery

    public Query getQuery()
                   throws javax.xml.rpc.ServiceException

  Throws:
    `javax.xml.rpc.ServiceException`

### getQuery

    public Query getQuery(java.net.URL portAddress)
                   throws javax.xml.rpc.ServiceException

  Throws:
    `javax.xml.rpc.ServiceException`

Copyright (C) Wolfgang Meier. All rights reserved.